# Welcome to the ICOS Carbon Portal Python Library 

## ICOS

The Integrated Carbon Observation System, ICOS, is a European-wide greenhouse gas research infrastructure. ICOS produces standardised data on greenhouse gas concentrations in the atmosphere, as well as on carbon fluxes between the atmosphere, the earth and oceans. This information is being used by scientists as well as by decision-makers in predicting and mitigating climate change. The ICOS Station Network consists of over 140 measurement stations in three domains located in 14 countries in Europe. For more information please visit [https://www.icos-cp.eu/](https://www.icos-cp.eu/).

This library provides easy access to data hosted at the ICOS Carbon Portal ([https://data.icos-cp.eu/](https://data.icos-cp.eu/)). By using this library you can load data files directly into memory. The approach of this library is to free you from downloading and maintaining a local copy of data files and if you choose to use our Jupyter Hub services, you don't even need computational power.

If you would rather stick to the conventional "download the data approach", to store and use the data locally, we suggest you go to the [data portal](https://data.icos-cp.eu/) website to find and "download" the data.

Please be aware, that by either downloading data or accessing data directly through this library, you agree and accept, that all ICOS data is provided under a <a href="https://data.icos-cp.eu/licence" target="_blank">CC BY 4.0 licence <img src="https://www.icos-cp.eu/sites/default/files/inline-images/creativecommons.png"></a> ([licence.pdf](files/licence.pdf))

The ICOS Carbon Portal provides persistent digital object identifiers for each data set or file to improve the FAIR-ness of data and to give all the users easy to use tools for provenance, citation and reproducibility, etc. Hence you only need to store a list of PID's (persistent digital object identifiers), or you can use one of the built-in SPARQL queries, to reproduce always the same result, regardless of the computer you run it on. You can share your code with colleagues, without the need of moving data around. You bring the software to the data, rather than data to the software. This is especially true if you create a Jupyter Notebook hosted at the Carbon Portal.

